Subject: Re: bug#36032: 27.0.50; Massive GC when shift-selecting text in HELLO

From: martin rudalics <[email-masked]>
Date: Sat, 1 Jun 2019 16:01:42 +0200

>> When with emacs -Q --load "~/show-gc.el" I'm at the beginning of
 >>
 >> Dutch (Nederlands)
 >>
 >> doing C-SPC and then C-f until I'm at the end of that text I get 19
 >> additional collection cycles.
 >
 > I get 17 for the first C-f at the beginning of the buffer, and then
 > just one more for the Dutch line.
 >
 > But neither the 17 first GCs nor the 18th one cause any tangible
 > delays in response to C-f.

Interesting.  Here the release branch is just as slow as master.
Visiting HELLO takes about 50 seconds and one shifted C-f about one
second (or one GC cycle) regardless of where in the buffer I am.
Moreover, -O0 and -O3 builds incur about the same delays.

martin